Mailuser interface

Discussion in 'Plugins/Modules/Addons' started by Horfic, Aug 23, 2009.


Would you like to see a mailuser interface for Roundcube & Squirrelmail?

  1. Yes

    210 vote(s)
  2. No

    3 vote(s)
  1. cbj4074

    cbj4074 Member HowtoForge Supporter

  2. Horfic

    Horfic Member

    just released a new version of the plugins.

    Current Version 132
  3. SpeedyB

    SpeedyB Member HowtoForge Supporter


    I just found something rather anoying, which doesn't is due to the plugins, rather than the ISPConfig remote.php.

    When you have mod-security installed, the plugins are not working anymore :-(
    This is due to an "Request Missing an Accept Header" error.

    to fix this add the following code to the 000-ispconfig.vhost (at the bottom)
    <LocationMatch "/remote/index.php">
      SecRuleRemoveById 960015 
  4. Horfic

    Horfic Member

    you should submit this to ispconfig itself in the bugtracker
  5. SpeedyB

    SpeedyB Member HowtoForge Supporter

    I know... I just added it to the mod-security thread also with my set for wordpress.

    Where can I add it to bugtracker...
  6. Horfic

    Horfic Member

  7. SupuS

    SupuS Member HowtoForge Supporter


    first thank you for great plugin.

    I found problem with creating mailfilter. It seems there is problem with national charsets in mail folders. When I try to create filter which move mails to folder with national charset in name (for example testovací with í ) I get this warning:

    Soap Error: target_error_regex
    The same result is when target folder is as subfolder of folder with national charset. When I use another folder without these charsets filter is sucessfully created.

    I have latest svn version.

    Thank you for any suggestion.
  8. Horfic

    Horfic Member

    i will check on it
  9. Horfic

    Horfic Member

    I can confirm your error, this error also appears in ispconfig itself, it is not an error of roundcube or my plugin.

    Please submit a bug in the bugtracker of ispconfig

    Thanks for reporting it.
  10. Horfic

    Horfic Member

  11. johjoh2k

    johjoh2k New Member

    How to tell SVN to forget previous trunk?

    Thank you
  12. Horfic

    Horfic Member

    what you mean with forget?
  13. johjoh2k

    johjoh2k New Member

    Solved by myself, SVN memorize the site used for checkout.
    Simply I have deleted the folder ".svn" into ../../../plugins
    After that I was able to checkout with the new site
  14. cbj4074

    cbj4074 Member HowtoForge Supporter

    Horfic, is there a better place at which to post questions or issues regarding the Roundcube plug-in? The old website had a forum. Has this functionality been moved to github (if it has, I can't find it), or has it been eliminated entirely? Just let me know if there's a better venue for this.

    In any case, I'm using ISPConfig, the Roundcube plug-in (latest rev., 140) with Roundcube 0.9.2. Everything seems to work fine, with one exception: when I try to change my email password, I always receive the message:

    Password must include at least one upper case letter.
    The passwords I'm trying definitely include at least one upper case letter. So, it seems that something changed with ISPConfig's validation mechanism, or the plugin is interpreting ISPConfig's response incorrectly.

    The interesting thing is that I have two servers with ISPConfig, and the plug-in works correctly when I try to change my password on the first server (which has a considerably older version of the Roundcube plug-in). This leads me to believe that the problem is not with ISPConfig.

    Can you think of any reason that newer versions of the Roundcube plug-in would exhibit this behavior? Should I try rolling-back to an old version of the plug-in?

    Thanks for any help!
  15. Horfic

    Horfic Member

  16. cbj4074

    cbj4074 Member HowtoForge Supporter

    Thanks for the quick reply, Horfic. I really appreciate it.

    It looks as though if I comment-out the following block within ispconfig_pass.php, the validation error disappears and I'm able to change the password:

            if (!$error && $checkSymbol && !preg_match("#\W+#", $newpwd)) {
              $error = TRUE;
              $this->rcmail_inst->output->command('display_message', $this->gettext('passwordcheckupper'), 'error');
    I'll continue to debug this to whatever extent I'm able, and let you know if I discover any clues.

    Thanks again.
    Last edited: Oct 12, 2013
  17. cbj4074

    cbj4074 Member HowtoForge Supporter

    Ahhh, okay, I think I see what's going on here.

    Basically, the plug-in is fine. The problem is that the error message is inaccurate. The regular expression on line 92 of the above-referenced file actually checks for a non-word character, yet a validation failure prints the same message as the previous validation block, which pertains to upper-case letters.

    It almost looks as though some code was copy/pasted but the corresponding error message array key was not updated.

    Specifically, the fix looks to be as simple as changing line 94 to:

    $this->rcmail_inst->output->command('display_message', $this->gettext('passwordchecksymbol'), 'error');
    (I just replaced the key name, "passwordcheckupper", with "passwordchecksymbol").

    Seems to be fine, now!

    ETA: Opened issue on GitHub:
    Last edited: Oct 12, 2013
  18. mailinh

    mailinh New Member

    Everything looks fine except that in the plugin array there shouldn't be a ispconfig3_forward

Share This Page